Qt 5.7 | Qt 3D | C++ Classes | QRenderTargetOutput

Qt 5.7.1 Reference Documentation

# QRenderTargetOutput Class

(Qt3DRender::QRenderTargetOutput)

The QRenderTargetOutput class allows the specification of an attachment of a render target (whether it is a color texture, a depth texture, etc... ). More...

Header: | #include <QRenderTargetOutput>
qmake: | QT += 3drender
Since: | Qt 5.7
Inherits: | Qt3DCore::QNode

- List of all members, including inherited members

## Public Types

enum | AttachmentPoint { Color0, Color1, Color2, Color3, ..., DepthStencil }

## Properties

- attachmentPoint : AttachmentPoint
- face : QAbstractTexture::CubeMapFace
- layer : int

- mipLevel : int
- texture : QAbstractTexture *

- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QRenderTargetOutput(Qt3DCore::QNode *parent = nullptr)
AttachmentPoint | attachmentPoint() const
QAbstractTexture::CubeMapFace | face() const
int | layer() const
int | mipLevel() const
QAbstractTexture * | texture() const

- 6 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setAttachmentPoint(AttachmentPoint attachmentPoint)
void | setFace(QAbstractTexture::CubeMapFace face)
void | setLayer(int layer)
void | setMipLevel(int level)
void | setTexture(QAbstractTexture *texture)

- 2 public slots inherited from Qt3DCore::QNode

## Signals

void | attachmentPointChanged(AttachmentPoint attachmentPoint)
void | faceChanged(QAbstractTexture::CubeMapFace face)
void | layerChanged(int layer)
void | mipLevelChanged(int mipLevel)
void | textureChanged(QAbstractTexture *texture)

- 3 signals inherited from Qt3DCore::QNode

## Protected Functions

| QRenderTargetOutput(QRenderTargetOutputPrivate &dd, Qt3DCore::QNode *parent = nullptr)

- 2 protected functions inherited from Qt3DCore::QNode

## Detailed Description

The QRenderTargetOutput class allows the specification of an attachment of a render target (whether it is a color texture, a depth texture, etc... ).

## Member Type Documentation

### enum QRenderTargetOutput::AttachmentPoint

## Property Documentation

### attachmentPoint : AttachmentPoint

Access functions:

AttachmentPoint | attachmentPoint() const
void | setAttachmentPoint(AttachmentPoint attachmentPoint)

Notifier signal:

void | attachmentPointChanged(AttachmentPoint attachmentPoint)

### face : QAbstractTexture::CubeMapFace

Access functions:

QAbstractTexture::CubeMapFace | face() const
void | setFace(QAbstractTexture::CubeMapFace face)

Notifier signal:

void | faceChanged(QAbstractTexture::CubeMapFace face)

### layer : int

Access functions:

int | layer() const
void | setLayer(int layer)

Notifier signal:

void | layerChanged(int layer)

### mipLevel : int

Access functions:

int | mipLevel() const
void | setMipLevel(int level)

Notifier signal:

void | mipLevelChanged(int mipLevel)

### texture : QAbstractTexture *

Access functions:

QAbstractTexture * | texture() const
void | setTexture(QAbstractTexture *texture)

Notifier signal:

void | textureChanged(QAbstractTexture *texture)

## Member Function Documentation

### QRenderTargetOutput::QRenderTargetOutput(Qt3DCore::QNode *parent = nullptr)

Default constructs an instance of QRenderTargetOutput.

### `[protected]` QRenderTargetOutput::QRenderTargetOutput(QRenderTargetOutputPrivate &dd, Qt3DCore::QNode *parent = nullptr)

Copy constructor.

### AttachmentPoint QRenderTargetOutput::attachmentPoint() const

Returns the current attachment point.

Note: Getter function for property attachmentPoint.

See also setAttachmentPoint().

### QAbstractTexture::CubeMapFace QRenderTargetOutput::face() const

Returns the current cubemap face.

Note: Getter function for property face.

See also setFace().

### int QRenderTargetOutput::layer() const

Returns the current layer.

Note: Getter function for property layer.

See also setLayer().

### int QRenderTargetOutput::mipLevel() const

Returns the current mip level.

Note: Getter function for property mipLevel.

See also setMipLevel().

### `[slot]` void QRenderTargetOutput::setAttachmentPoint(AttachmentPoint attachmentPoint)

Sets the attachment point to attachmentPoint. attachmentPoint

Note: Setter function for property attachmentPoint.

See also attachmentPoint().

### `[slot]` void QRenderTargetOutput::setFace(QAbstractTexture::CubeMapFace face)

Sets the required cubemap face to face. face

Note: Setter function for property face.

See also face().

### `[slot]` void QRenderTargetOutput::setLayer(int layer)

Sets the required layer to layer. layer

Note: Setter function for property layer.

See also layer().

### `[slot]` void QRenderTargetOutput::setMipLevel(int level)

Sets the required mip level to level. level

Note: Setter function for property mipLevel.

See also mipLevel().

### QAbstractTexture *QRenderTargetOutput::texture() const

Returns the current texture.

Note: Getter function for property texture.

See also setTexture().